AddCSLuaFile( "cl_init.lua" )
AddCSLuaFile( "shared.lua" )

include('shared.lua')
	
ENT.AnimScale = 2
ENT.Damage = 20
ENT.Pain = Vo.Fast_P
ENT.Death = Vo.Fast_D
ENT.Taunt = Vo.Fast_T
ENT.Model = "models/zombie/fast.mdl"
ENT.Attack = {"npc/fast_zombie/leap1.wav"}

function ENT:SpawnFunction( ply, tr )

	if ( !tr.Hit ) then return end
	
	local SpawnPos = tr.HitPos + tr.HitNormal * 20
	
	local ent = ents.Create( "npc_fast_headcrabless" )
	ent:SetPos( SpawnPos )
	ent:Spawn()
	ent:Activate()
	
	return ent
	
end

function ENT:Initialize()

	util.PrecacheSound("npc/fast_zombie/leap1.wav")
	self:SetModel( self.Model )
	
	self:SetHullType( HULL_HUMAN );
	self:SetHullSizeNormal();
	
	self:SetSolid( SOLID_BBOX ) 
	self:SetMoveType( MOVETYPE_STEP )
	
	self:CapabilitiesAdd( CAP_MOVE_GROUND | CAP_ANIMATEDFACE | CAP_TURN_HEAD | CAP_USE_SHOT_REGULATOR | CAP_AIM_GUN | CAP_MOVE_JUMP | CAP_MOVE_CLIMB )
	
	self:SetMaxYawSpeed( 5000 )
	
	//don't touch stuff above here
	self:SetHealth(math.random(25,40))
	self.MaxHealth = 35

end

function ENT:SelectSchedule()

	local schdChase = ai_schedule.New( "AIFighter Chase" ) //creates the schedule used for this npc
	
	schdChase:AddTask( "FindEnemy", 		{ Class = "player", Radius = 200000 } )
	schdChase:EngTask( "TASK_GET_PATH_TO_ENEMY", 0 )
    schdChase:EngTask( "TASK_RUN_PATH_TIMED", 0.2 )
    schdChase:EngTask( "TASK_WAIT", 0.2 ) 
	
	local close = false
	local tbl = player.GetAll()
	for k,v in pairs(tbl) do
		if v:GetPos():Distance(self:GetPos()) < 100 then
			close = true
		end
	end
	
	if close then
		schdChase:EngTask( "TASK_STOP_MOVING", 			0 )
		schdChase:EngTask( "TASK_FACE_ENEMY", 			0 )
		schdChase:AddTask( "PlaySequence", 				{ Name = "Melee", Speed = .9 } )
	end
	
	self:StartSchedule( schdChase )
	
end